%define amversion 1.16
%global __requires_exclude perl\\(Automake::.*\\)
%global __provides_exclude perl\\(Automake::.*\\)

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.16.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Source0:	http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
URL:		http://www.gnu.org/software/automake/
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	info-install
Requires(preun): info-install
Requires(post):	update-alternatives
Requires(preun): update-alternatives

# tests need these
%if %docheck
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q

%build
%configure2_5x --build=%{_host}
%make

%install
rm -rf %buildroot
%makeinstall_std

# provide -1.8 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.9

# provide -1.12 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.12
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.12

# provide -1.14 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.14
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.14

#provide - 1.15 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.15
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.15

rm -f %{buildroot}/%{_infodir}/*
install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/

mkdir -p %{buildroot}%{_datadir}/aclocal

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8 || :
  update-alternatives --remove automake %{_bindir}/automake-1.9 || :
  update-alternatives --remove automake %{_bindir}/automake-1.12 || :
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%exclude  /usr/share/doc/automake/amhello-1.0.tar.gz
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_bindir}/automake-1.12
%{_bindir}/aclocal-1.12
%{_bindir}/automake-1.14
%{_bindir}/aclocal-1.14
%{_bindir}/automake-1.15
%{_bindir}/aclocal-1.15
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/*


%changelog
* Sat Mar 17 2018 bb2 <bb2> - 1.16.1-1pclos2018
- new version

* Mon Sep 25 2017 bb2 <bb2> - 1.15.1-1pclos2017
- new version
- new gcc
